<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>Koinos Paper Wallet</title>

    <link rel="preload" href="assets/fonts/RobotoSerif_36pt-Bold.ttf" as="font" />
    <link rel="preload" href="assets/fonts/Roboto-Bold.ttf" as="font" />
    <link rel="preload" href="assets/fonts/Roboto-Medium.ttf" as="font" />
    <link rel="preload" href="assets/fonts/Roboto-Regular.ttf" as="font" />
    <link rel="preload" href="assets/fonts/RobotoMono-Regular.ttf" as="font" />

    <link rel="stylesheet" href="assets/styles/reset.css">
    <link rel="stylesheet" href="assets/styles/fonts.css">
    <link rel="stylesheet" href="assets/styles/theme.css">
    <link rel="stylesheet" href="assets/styles/global.css">
    <link rel="stylesheet" href="assets/styles/button.css">
    <link rel="stylesheet" href="assets/styles/header.css">
    <link rel="stylesheet" href="assets/styles/wallet.css">
    <link rel="stylesheet" href="assets/styles/key.css">
    <link rel="stylesheet" href="assets/styles/footer.css">
</head>
<body>
    <div class="app">
        <header class="header">
            <div class="container">
                <h1 class="header__title">
                    Koinos Wallet Generator
                </h1>
                <div class="header__description">
                    You can use this tool to generate a <em>cold storage address</em> and safely store your coins offline.
                </div>
                <div class="header__actions">
                    <a class="button button--link" href="https://koinos.io/" target="_blank" tabindex="0">
                        Learn more<img class="button__icon" src="assets/images/arrow_right.svg" alt="External link" />
                    </a>
                    <button class="button" id="generate-button" tabindex="1">
                        Generate
                    </button>
                </div>
            </div>
        </header>

        <main class="container">
            <div class="wallet">
                <div class="wallet__key">
                    <div class="key">
                        <div class="key__qrCode">
                            <canvas id="wallet-address-qr-code" title="Wallet address"></canvas>
                        </div>
                        <div class="key__name">Wallet Address</div>
                        <div class="key__value" id="wallet-address-value"></div>
                    </div>
                </div>
                <div class="wallet__key">
                    <div class="key">
                        <div class="key__qrCode">
                            <canvas id="private-key-qr-code" title="Private key (WIF)"></canvas>
                        </div>
                        <div class="key__name">Private key (WIF)</div>
                        <div class="key__value" id="private-key-value"></div>
                    </div>
                </div>
                <div class="wallet__action">
                    <button class="button" id="download-button">
                        Save keys
                    </button>
                </div>
            </div>
        </main>

        <footer class="container">
            <div class="footer">
                <a href="https://engrave.dev/" target="_blank" class="footer__developer">
                    <span class="footer__developer_label">Developed by</span>
                    <img src="assets/images/engrave.svg" alt="Engrave"  class="footer__developer_logo">
                </a>
                <div class="footer__menu">
                    <a href="https://gitlab.com/engrave/koinos/koinos-paper-wallet" target="_blank" class="footer__link">
                        <img src="assets/images/gitlab.svg" alt="GitLab" class="footer__link_icon">
                    </a>
                    <a href="https://discord.gg/8NktdFh" target="_blank" class="footer__link">
                        <img src="assets/images/hive.svg" alt="Hive" class="footer__link_icon">
                    </a>
                    <a href="https://peakd.com/@engrave" target="_blank" class="footer__link">
                        <img src="assets/images/discord.svg" alt="Discord" class="footer__link_icon">
                    </a>
                </div>
            </div>
        </footer>
    </div>

    <script src="assets/scripts/libraries/qrcode.js"></script>
    <script src="assets/scripts/libraries/secp256k1.js"></script>
    <script src="assets/scripts/libraries/ecpair.js"></script>
    <script src="assets/scripts/libraries/bitcoinjs-lib.js"></script>
    <script src="assets/scripts/libraries/jszip.js"></script>
    <script src="assets/scripts/helpers.js"></script>
    <script src="assets/scripts/app.js"></script>
</body>
</html>
